# Sauvegarde d'une formation ThriveCart Learn

## Installer Python et Jupyter
Pour utiliser cet outil, tu as besoin de Jupyter Notebook.
Sur Windows, tu peux utiliser la plateforme Anaconda. 

- [Télécharger Anaconda](https://www.anaconda.com/download#downloads)

Sur Mac, tu peux installer Python avec Homebrew. 

- [Installer Homebrew](https://brew.sh)
- Installer Python: `brew install python`

Sur Linux, il va souvent déjà être installé, la version va varier selon ta distribution.

Pour utiliser les Notebook, il faut soit install jupyter notebook dans Python, ou utiliser un éditeur de code tel que Visual Studio Code

- [Obtenir Visual Studio Code](https://code.visualstudio.com/)
- Installer l'extension Python et utiliser l'éditeur (je te conseille ce tutoriel): https://code.visualstudio.com/docs/python/python-tutorial

Une fois que tu as Python et Jupyter Notebook de fonctionnel, c'est le temps de cloner le projet. Voici le lien:
https://git.jevalide.ca/gitlab/partage/backup-thrivecart-learn

- Tu peux télécharger une archive zip et l'extraire (1).
- Si tu sais utiliser git, tu peux cloner directement vers Visual Studio Code (2). 

![Capture d'écran des boutons télécharger et cloner de GitLab](clone-download-gitlab.png)

Maintenant, crée toi un environnement Python dans le projet que tu as téléchargé ou cloné précédemment.

Sur Windows

```
python -m venv c:\chemin-vers-ton-projet\backup-thrivecart-learn\venv
C:\chemin-vers-ton-projet\backup-thrivecart-learn\venv\Scripts\activate.bat
```

Sur Mac et Linux

```bash
python -m venv ./venv
source ./venv/bin/activate
```

Installe le contenu du requirements.txt. Ce sont les librairies Python requises pour faire fonctionner le notebook.

```bash
pip install -r requirements.txt
```

## Aller chercher les informations

Nous avons besoin d'informations de connexion pour ThriveCart. La sauvegarde utilise une connexion active basée sur des cookies. Tu dois donc te connecter à la formation comme apprenant et obtenir ces cookies.

Voici comment faire:

Depuis un navigateur, va dans les outils de développeur (touche F12), puis connecte toi à ta formation avec un compte apprenant (inscris-toi à ta formation avec un code rabais de 100%, le compte "John Smith" ne fonctionne pas).

Tu devrais voir dans la section Réseau (Network en anglais) une page avec le nom de ta formation en haut de la liste. Clique dessus, et tu devrais voir les informations de la capture ci-dessous

![](informations.png)

## Remplir le Jupyter Notebook

Ensuite, complète les premières section du notebook en l'ouvrant dans ton éditeur. Le notebook se nomme thrivecart-backup.ipynb (pour IPython Notebook, l’ancêtre de Jupyter, qui signifie Julia-Python-R, pour les curieux et curieuses)

![parametres-notebook.png](parametres-notebook.png)

## Exécuter le Jupyter Notebook

Tu devrais pouvoir l'exécuter d'un seul coup de haut en bas une fois que tu as complété les informations tel que j'ai indiqué sur la capture d'écran.

La sauvegarde va être dans le dossier html. Si tu veux faire plusieurs sauvegardes, je te conseille de faire un notebook différent. Fais attention de ne jamais partager le notebook avec les identifiants sur le web, ils sont secrets !

## Commentaires et suggestions

Tu peux me partager des commentaires ou améliorations via ce lien: <https://sondage.jevalide.ca/index.php?r=survey/index&sid=373829&lang=fr>

## Licence

Apache Licence 2.0
Copyright 2023 François Pelletier